body {
	overflow-x: hidden;
	padding: 0;
	margin: 0;
}

*{
	font-family: "Arial";
	color: #1a1a1a
}

ul.fancy {
  list-style: none;
  padding: 0;
  padding-left: 15px;
}

ul.fancy li {
  padding-left: 1em;
}

ul.fancy li:before {
  content: "\f054";
  font-family: FontAwesome;
  display: inline-block;
  margin-left: -1em;
  width: 1em;
}

main {
	padding-left: 300px;
}

@media (max-width: 992px) {
    main {
		padding-left: 0px;
	}
	
	#Banner {
		margin-top: 25%;
	}
	
	#Logo {
		display: none;
	}
	
	#TopNav {
		display: block !important;
	}
	
	#SideNav {
		margin-top: 50px;
	}
	
	#typewriter{
		font-size: 6vw !important;
	}
	
	#WelcomeText {
		width: 100% !important;
		font-size: 5em !important;
	}
	
	#WelcomeText img {
		width: 90% !important;
		margin-left: 5% !important;
		min-width: 0 !important;
	}
	
	#Contact h3.small {
		font-size: 1.5em;
	}
}

@media (max-width: 700px) {
	#typewriter{
		font-size: 6vw !important;
	}
	#WelcomeText {
		font-size: 3em !important;
	}
	#AssociationsHeader {
		font-size: 4em !important;
	}
	#Skills h2 {
	font-size: 2em !important; 
	}
	#Contact h3.small {
		font-size: 1.3em;
	}
}

#StandingJames {
	width: 300px;
	right:	20%;
	margin-top: 50px;
	position: absolute;
	top: 0;
}

#CodeText {
	left: -1%;
	margin-top: 4%;
	width: 100%;
	position: absolute;
	z-index: -1;
}

#typewriter{
	font-size: 3.4vw;
	margin: 0;
	height: 90vh;
	y-overflow: hidden;
	font-family: Consolas, monospace;
}

#typewriter:after{
	content: "|";
	animation: blink 500ms linear infinite alternate;
}

#StandingJames img {
	height: 1000px;
}

#WelcomeText {
	color: #333;
	font-size: 4em;
	position: absolute;
	text-align: center;
	width: calc(100% - 300px);
	margin-top: 20vh;
	top: 0;
}

#WelcomeText img {
	display: block;
	position: absolute;
	width: 50%;
	min-width: 400px;
	margin-left: 25%;
}

#LayerDivider {
	background-color: rgba(255, 255, 255, 0.9);
	width: 100%;
	height: 100%;
}

#Logo {
	width: 80%;
	padding: 10px;
	margin-bottom: 20px;
}

#TopNav {
	width: 100%;
	display: none;
	background-color: #333;
	position:fixed;
	z-index: 1000;
}

.mini-logo {
	margin: 5px;
}

#SideNav {
	padding: 10px;
	background-color: #333;
}

#SideNav li > a {
	font-size: 1.8em;
}

#SideNav .active {
	border-right: 4px solid #005B96;
	transition: .5s;
}

#Content {
	padding: 0;
	margin: 0;
}

#Banner {
	height: 100vh;
	width: 100%;
	position: relative;
}

section {
	width: 100%;
	padding-bottom: 100px;
}

section header {
	padding: 10px 0px;
}

.section-header {
	font-size: 5em;
	text-shadow: 1px 1px 2px rgba(150, 150, 150, 1);
	margin: 0;
}

#About {
	background-color: #005B96;
}

#AboutHeader {
	color: white;
}

#About header {
	background-color: rgb(0, 55, 90);
}

#Experience {
	background-color: #dddddd;
}

#ExperienceHeader {
	color: black;
}

#Experience header {
	background-color: white;
}

#Education {
	background-color: #005B96;
}

#EducationHeader {
	color: white;
}

#Education header {
	background-color: rgb(0, 55, 90);
}

#Education label {
	font-size: 1.1em;
}

#Education h5 label {
	font-size: .7em;
}

#Education h6 {
	font-size: .9em;
}

#Education .exp-timespan{
	font-size: 1.2em;
	margin-bottom: 10px;
}

#Education .chip {
	background-color: rgb(0, 55, 90);
	color: white;
	font-size: 1.1em
}

#Education ul.fancy {
	font-size: 1.1em;
	margin-top: 0;
}

#Skills {
	background-color: #dddddd;
}

#SkillsHeader {
	color: black;
}

#Skills header {
	background-color: white;
}

#Skills h2 {
	font-size: 2.6em;
}

#Associations {
	background-color: #005B96;
}

#AssociationsHeader {
	color: white;
}

#Associations header {
	background-color: rgb(0, 55, 90);
}

#Associations .card-image {
	padding: 20px;
}

#Associations .card h5 label{
	font-size: .9em; 
}

#Associations .card label{
	font-size: 1.1em;
}

#Associations .card .info{
	font-size: 1.2em;
}

#Interests {
	background-color: #dddddd;
}

#InterestHeader {
	color: black;
}

#Interests header {
	background-color: white;
}

#Interests .carousel {
	height: 400px;
    margin-top: -100px;
}

#Interests .carousel-item {
	width: 400px;
}

.carousel .indicators {
	bottom: 20px;
}

.carousel .indicators .indicator-item {
	background-color: rgba(0, 0, 0, .5);
}

.carousel .indicators .indicator-item.active {
	background-color: rgba(0, 0, 0);
}

#Contact {
	background-color: #005B96;
}

#ContactHeader {
	color: white;
}

#Contact header {
	background-color: rgb(0, 55, 90);
}

#Contact .btn-large {
	font-size: 1.5em;
	font-family: "Arial";
	text-transform: none;
}

#Contact i {
	margin-top: 25px;
}

#Contact a {
	color: white;
	transition: .5s;
}

#Contact a:hover, #Contact a:active {
	text-decoration: underline;
}

#Contact a.btn-large:hover{
	background-color: #bbb !important;
}

#Contact a.btn-large:hover, #Contact a.btn-large:active {
	text-decoration: none;
}

.skill-card .card-content {
	padding: 5px;
}

.skill-card .card-title {
	text-align:center;
	width: 100%;
	font-size: 130%;
}

.skill-image {
	text-align: center;
	height: 150px;
	width: 100%;
	position: absolute;
}

.skill-image img {
	padding: 10px;
    margin: 0 !important;
    position: relative !important;
	width: auto !important;
	hieght: auto !important;
	max-height: 100%;
	max-width: 100%;
	top: 50% !important;
    left: 50% !important;
    transform: translateX(-50%) translateY(-50%);
}

.theme-color,
.btn.theme-color:focus {
	background-color: #005B96;
}

.btn.theme-color:hover, 
.btn.theme-color:active {
	background-color: #0a7fcc;
}

.btn.pressed:not(:hover) {
	background-color: #e4e4e4;
	color: rgba(0,0,0,0.8);
	box-shadow: inset 0px 0px 5px #c1c1c1;
}

.progress .determinate{
	background-color: #005B96;
}

.progress {
	background-color: #ddd;
	height: 6px;
}

.particles-js-canvas-el { 
	height: 100px !important;
}

.exp-title {
	margin-bottom: 5px;
}

.exp-divider:after {
	content: '|';
	color: #005B96;
	font-size: 40px;
	padding: 0 5px;
}

.exp-timespan {
	font-style: italic;
}

.job-title {
	font-size: 30px;
	color: #333;
}

.chip-div {
	padding: 10px 0;
}

.exp-points {
	font-size: 1.3em;
}

#Footer {
	background-color: #00243C;
}

#FooterDark {
	background-color: #000B12;
}

.var-highlight{
	color: #4a0777;
}
.string-highlight{
	color: #005B96;
}

.xx-large {
	font-size: 300px;
	color: white;
}

.about-text {
	text-align: center;
	font-size: 2em;
	color: white;
}

.margin-left-20 {
	margin-left: 20px;
}

.margin-right-20 {
	margin-right: 20px;
}

.margin-top-20 {
	margin-top: 20px;
}

.margin-bottom-20 {
	margin-bottom: 20px;
}

.text-shadow {
	text-shadow: 2px 2px 4px rgba(0, 0, 0, .3), -1px 0px 5px rgba(0, 0, 0, .3);
}

.margin-top-10 {
	margin-top: 10px;
}

.padding-20 {
	padding: 20px;
}

.btm-padding-50 {
	padding-bottom: 50px;
}

.no-btm-margin {
	margin-bottom: 0;
}

.text-size-20 {
	font-size: 20px;
}

@-webkit-keyframes blink{
	0%{opacity: 0;}
	100%{opacity: 1;}
}

@-moz-keyframes blink{
	0%{opacity: 0;}
	100%{opacity: 1;}
}

@keyframes blink{
	0%{opacity: 0;}
	100%{opacity: 1;}
}